runkit_method_remove
runkit_return_value_used
runkit Functions
PHP Manual

# runkit_method_rename

(PECL runkit:0.7-0.9)

runkit_method_rename — Dynamically changes the name of the given method

### Description

bool runkit_method_rename ( string `$classname` , string `$methodname` , string `$newname` )

> Note: This function cannot be used to manipulate the currently running (or chained) method.

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### Parameters

`classname`

  The class in which to rename the method

`methodname`

  The name of the method to rename

`newname`

  The new name to give to the renamed method

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 runkit_method_rename() example

`<?php
class Example {
function foo() {
return "foo!\n";
}
}
// Rename the 'foo' method to 'bar'
runkit_method_rename(
'Example',
'foo',
'bar'
);
// output renamed function
echo Example::bar();
?>`

The above example will output:

    foo!

### See Also

- runkit_method_add()
- runkit_method_copy()
- runkit_method_redefine()
- runkit_method_remove()
- runkit_function_rename()

runkit_method_remove
runkit_return_value_used
runkit Functions
PHP Manual